> ## Documentation Index
> Fetch the complete documentation index at: https://checkly-422f444a-auto-update-api-spec.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get usage terms and accounts for the current organization.



## OpenAPI

````yaml get /v2/usage/terms
openapi: 3.0.0
info:
  title: Checkly Public API
  version: v1
  description: >-
    These are the docs for the newly released Checkly Public API. If you have
    any questions, please do not hesitate to get in touch with us.
servers:
  - url: https://api.checklyhq.com
security:
  - Bearer: []
tags: []
paths:
  /v2/usage/terms:
    get:
      tags:
        - Usage
      summary: Get usage terms and accounts for the current organization.
      operationId: getV2UsageTerms
      parameters:
        - schema:
            type: string
            format: date
            description: Date used to resolve usage terms. Defaults to today.
          required: false
          description: Date used to resolve usage terms. Defaults to today.
          name: to
          in: query
        - schema:
            type: string
            format: uuid
            description: >-
              Your Checkly account ID, you can find it at
              https://app.checklyhq.com/settings/account/general
          required: false
          description: >-
            Your Checkly account ID, you can find it at
            https://app.checklyhq.com/settings/account/general
          name: x-checkly-account
          in: header
      responses:
        '200':
          description: Successful
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UsageV2TermsResponse'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
components:
  schemas:
    UsageV2TermsResponse:
      type: object
      properties:
        id:
          type: string
          format: uuid
        name:
          type: string
        accounts:
          type: array
          items:
            $ref: '#/components/schemas/UsageV1Account'
        contractStartDate:
          type: string
          format: date
        contractEndDate:
          type: string
          format: date
        usageStartDate:
          type: string
          format: date
        creditBudget:
          type: number
          nullable: true
          minimum: 0
          exclusiveMinimum: true
        standardCreditsPerUnit:
          type: number
          nullable: true
          minimum: 0
        premiumCreditsPerUnit:
          type: number
          nullable: true
          minimum: 0
        pricingRules:
          type: object
          nullable: true
          properties:
            apiChecks:
              $ref: '#/components/schemas/UsageV2PricingRule'
            multistepChecks:
              $ref: '#/components/schemas/UsageV2PricingRule'
            browserChecks:
              $ref: '#/components/schemas/UsageV2PricingRule'
            playwrightCheckSuites:
              $ref: '#/components/schemas/UsageV2PricingRule'
            uptimeMonitors:
              $ref: '#/components/schemas/UsageV2PricingRule'
            aiInvocations:
              $ref: '#/components/schemas/UsageV2PricingRule'
            statusPages:
              $ref: '#/components/schemas/UsageV2PricingRule'
            statusPageAdditionalServices:
              $ref: '#/components/schemas/UsageV2PricingRule'
            statusPageAdditionalSubscribers:
              $ref: '#/components/schemas/UsageV2PricingRule'
            additionalSms:
              $ref: '#/components/schemas/UsageV2PricingRule'
            additionalPhoneAlerts:
              $ref: '#/components/schemas/UsageV2PricingRule'
          additionalProperties: false
      required:
        - id
        - name
        - accounts
        - contractStartDate
        - contractEndDate
        - usageStartDate
        - creditBudget
        - standardCreditsPerUnit
        - premiumCreditsPerUnit
        - pricingRules
    ApiError:
      type: object
      properties:
        statusCode:
          type: number
        error:
          type: string
        message:
          type: string
      required:
        - statusCode
        - error
        - message
    UsageV1Account:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
      required:
        - id
        - name
    UsageV2PricingRule:
      anyOf:
        - type: object
          properties:
            method:
              type: string
              enum:
                - per_unit
            quantity:
              type: number
              minimum: 0
              exclusiveMinimum: true
            unit:
              type: string
              minLength: 1
            credits:
              type: number
              minimum: 0
            rates:
              type: array
              items:
                type: object
                properties:
                  when:
                    type: string
                    minLength: 1
                  credits:
                    type: number
                    minimum: 0
                required:
                  - when
                  - credits
                additionalProperties: false
            included:
              type: object
              properties:
                quantity:
                  type: number
                  minimum: 0
                period:
                  type: string
                  minLength: 1
              required:
                - quantity
                - period
              additionalProperties: false
          required:
            - method
            - quantity
            - unit
            - credits
          additionalProperties: false
        - type: object
          properties:
            method:
              type: string
              enum:
                - per_period
            period:
              type: string
              enum:
                - day
            price:
              type: object
              properties:
                annualCredits:
                  type: number
                  minimum: 0
              required:
                - annualCredits
              additionalProperties: false
          required:
            - method
            - period
            - price
          additionalProperties: false
        - type: object
          properties:
            method:
              type: string
              enum:
                - capacity_blocks_per_period
            period:
              type: string
              enum:
                - day
            unit:
              type: string
              minLength: 1
            included:
              type: object
              properties:
                quantity:
                  type: number
                  minimum: 0
              required:
                - quantity
              additionalProperties: false
            block:
              type: object
              properties:
                quantity:
                  type: number
                  minimum: 0
                  exclusiveMinimum: true
                annualCredits:
                  type: number
                  minimum: 0
              required:
                - quantity
                - annualCredits
              additionalProperties: false
          required:
            - method
            - period
            - unit
            - included
            - block
          additionalProperties: false
  securitySchemes:
    Bearer:
      type: http
      scheme: bearer
      bearerFormat: Bearer
      description: >-
        The Checkly Public API uses API keys to authenticate requests. You can
        get the API Key
        [here](https://app.checklyhq.com/settings/user/api-keys). Your API key
        is like a password: keep it secure!

        Authentication to the API is performed using the Bearer auth method in
        the Authorization header and using the account ID.

        For example, set **Authorization** header while using cURL: `curl -H
        "Authorization: Bearer [apiKey]" "X-Checkly-Account: [accountId]"` 

````